/*
 * @Descripttion: 
 * @version: 
 * @Author: 王三华
 * @Date: 2023-09-15 10:32:33
 */
import Vue from 'vue'
import App from './App'
import './uni.promisify.adaptor'
import permission from './directive/permission'

Vue.use(permission)
import uView from "uview-ui";
Vue.use(uView);
Vue.config.productionTip = false
import moment from "moment"
Vue.prototype.$moment = moment;
import i18n from '@/util/i18n/index'
Vue.prototype._i18n = i18n 



App.mpType = 'app'

const app = new Vue({
  ...App
})
import { numberToCurrencyNo,toThousandthAndKeepDecimal} from '@/util/numberToCurrency'
// 配置全局过滤器，实现数字千分位格式
Vue.filter('numberToCurrency', numberToCurrencyNo)
Vue.filter('toThousandthAndKeepDecimal', toThousandthAndKeepDecimal)
import dragButton from '@/components/flowQiu.vue'
import exportBall from '@/components/exportBall.vue'
import store from '@/store/index.js'
Vue.prototype.$store = store

Vue.component('drag-button',dragButton)		
Vue.component('export-ball',exportBall)		
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  app.use(i18n)
  return {
    app,
    store
  }
}
require('@/config/request.js')(app)
app.$mount()
